cascading.flow

## Class FlowConnectorProps

- java.lang.Object
- - cascading.property.Props
  - - cascading.flow.FlowConnectorProps

-     public class FlowConnectorProps
      extends Props

  The class FlowConnectorProps is a fluent helper class for setting `FlowConnector` specific properties through the `FlowConnector` constructor.
  See Also:
    `AppProps`, `CascadeProps`, `FlowProps`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSERTION_LEVEL`
    `static String` | `CHECKPOINT_TAP_DECORATOR_CLASS`
    `static String` | `DEBUG_LEVEL`
    `static String` | `INTERMEDIATE_SCHEME_CLASS`
    `static String` | `TEMPORARY_TAP_DECORATOR_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowConnectorProps()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPropertiesTo(Properties properties)`
    `static FlowConnectorProps` | `flowConnectorProps()` Creates a new FlowConnectorProps instance.
    `AssertionLevel` | `getAssertionLevel()`
    `String` | `getCheckpointTapDecoratorClassName()`
    `DebugLevel` | `getDebugLevel()`
    `String` | `getIntermediateSchemeClassName()`
    `String` | `getTemporaryTapDecoratorClassName()`
    `FlowConnectorProps` | `setAssertionLevel(AssertionLevel assertionLevel)` Method setAssertionLevel sets the target planner `AssertionLevel`.
    `static void` | `setAssertionLevel(Map<Object,Object> properties, AssertionLevel assertionLevel)` Method setAssertionLevel sets the target planner `AssertionLevel`.
    `static void` | `setCheckpointTapDecoratorClass(Map<Object,Object> properties, String checkpointTapDecoratorClassName)` Method checkpointTapDecoratorClassName is used for wrapping a checkpoint Tap.
    `FlowConnectorProps` | `setCheckpointTapDecoratorClassName(Class<DecoratorTap> checkpointTapDecoratorClass)` Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.
    `FlowConnectorProps` | `setCheckpointTapDecoratorClassName(String checkpointTapDecoratorClassName)` Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.
    `FlowConnectorProps` | `setDebugLevel(DebugLevel debugLevel)` Method setDebugLevel sets the target planner `DebugLevel`.
    `static void` | `setDebugLevel(Map<Object,Object> properties, DebugLevel debugLevel)` Method setDebugLevel sets the target planner `DebugLevel`.
    `static void` | `setIntermediateSchemeClass(Map<Object,Object> properties, Class<? extends Scheme> intermediateSchemeClass)` Method setIntermediateSchemeClass is used for debugging.
    `static void` | `setIntermediateSchemeClass(Map<Object,Object> properties, String intermediateSchemeClassName)` Method setIntermediateSchemeClass is used for debugging.
    `FlowConnectorProps` | `setIntermediateSchemeClassName(Class<Scheme> intermediateSchemeClass)` Method setIntermediateSchemeClassName is used for debugging.
    `FlowConnectorProps` | `setIntermediateSchemeClassName(String intermediateSchemeClassName)` Method setIntermediateSchemeClassName is used for debugging.
    `static void` | `setTemporaryTapDecoratorClass(Map<Object,Object> properties, String temporaryTapDecoratorClassName)` Method temporaryTapDecoratorClassName is used for wrapping a intermediate temporary Tap.
    `FlowConnectorProps` | `setTemporaryTapDecoratorClassName(Class<DecoratorTap> temporaryTapDecoratorClass)` Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.
    `FlowConnectorProps` | `setTemporaryTapDecoratorClassName(String temporaryTapDecoratorClassName)` Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.

    - ### Methods inherited from class cascading.property.Props

      `buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ASSERTION_LEVEL

          public static final String ASSERTION_LEVEL

      See Also:
        Constant Field Values

    - #### DEBUG_LEVEL

          public static final String DEBUG_LEVEL

      See Also:
        Constant Field Values

    - #### INTERMEDIATE_SCHEME_CLASS

          public static final String INTERMEDIATE_SCHEME_CLASS

      See Also:
        Constant Field Values

    - #### TEMPORARY_TAP_DECORATOR_CLASS

          public static final String TEMPORARY_TAP_DECORATOR_CLASS

      See Also:
        Constant Field Values

    - #### CHECKPOINT_TAP_DECORATOR_CLASS

          public static final String CHECKPOINT_TAP_DECORATOR_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlowConnectorProps

          public FlowConnectorProps()

  - ### Method Detail

    - #### setAssertionLevel

          public static void setAssertionLevel(Map<Object,Object> properties,
                               AssertionLevel assertionLevel)

      Method setAssertionLevel sets the target planner `AssertionLevel`.
      Parameters:
        `properties` - of type Map
        `assertionLevel` - of type AssertionLevel

    - #### setDebugLevel

          public static void setDebugLevel(Map<Object,Object> properties,
                           DebugLevel debugLevel)

      Method setDebugLevel sets the target planner `DebugLevel`.
      Parameters:
        `properties` - of type Map
        `debugLevel` - of type DebugLevel

    - #### setIntermediateSchemeClass

          public static void setIntermediateSchemeClass(Map<Object,Object> properties,
                                        Class<? extends Scheme> intermediateSchemeClass)

      Method setIntermediateSchemeClass is used for debugging.
      Parameters:
        `properties` - of type Map
        `intermediateSchemeClass` - of type Class

    - #### setIntermediateSchemeClass

          public static void setIntermediateSchemeClass(Map<Object,Object> properties,
                                        String intermediateSchemeClassName)

      Method setIntermediateSchemeClass is used for debugging.
      Parameters:
        `properties` - of type Map
        `intermediateSchemeClassName` - of type String

    - #### setTemporaryTapDecoratorClass

          public static void setTemporaryTapDecoratorClass(Map<Object,Object> properties,
                                           String temporaryTapDecoratorClassName)

      Method temporaryTapDecoratorClassName is used for wrapping a intermediate temporary Tap.
      Parameters:
        `properties` - of type Map
        `temporaryTapDecoratorClassName` - of type String

    - #### setCheckpointTapDecoratorClass

          public static void setCheckpointTapDecoratorClass(Map<Object,Object> properties,
                                            String checkpointTapDecoratorClassName)

      Method checkpointTapDecoratorClassName is used for wrapping a checkpoint Tap.
      Parameters:
        `properties` - of type Map
        `checkpointTapDecoratorClassName` - of type String

    - #### flowConnectorProps

          public static FlowConnectorProps flowConnectorProps()

      Creates a new FlowConnectorProps instance.
      Returns:
        FlowConnectorProps instance

    - #### getAssertionLevel

          public AssertionLevel getAssertionLevel()

    - #### setAssertionLevel

          public FlowConnectorProps setAssertionLevel(AssertionLevel assertionLevel)

      Method setAssertionLevel sets the target planner `AssertionLevel`.
      Parameters:
        `assertionLevel` - of type AssertionLevel
      Returns:
        this instance

    - #### getDebugLevel

          public DebugLevel getDebugLevel()

    - #### setDebugLevel

          public FlowConnectorProps setDebugLevel(DebugLevel debugLevel)

      Method setDebugLevel sets the target planner `DebugLevel`.
      Parameters:
        `debugLevel` - of type DebugLevel
      Returns:
        this instance

    - #### getIntermediateSchemeClassName

          public String getIntermediateSchemeClassName()

    - #### setIntermediateSchemeClassName

          public FlowConnectorProps setIntermediateSchemeClassName(String intermediateSchemeClassName)

      Method setIntermediateSchemeClassName is used for debugging.
      Parameters:
        `intermediateSchemeClassName` - of type String
      Returns:
        this instance

    - #### setIntermediateSchemeClassName

          public FlowConnectorProps setIntermediateSchemeClassName(Class<Scheme> intermediateSchemeClass)

      Method setIntermediateSchemeClassName is used for debugging.
      Parameters:
        `intermediateSchemeClass` - of type Class
      Returns:
        this instance

    - #### getTemporaryTapDecoratorClassName

          public String getTemporaryTapDecoratorClassName()

    - #### setTemporaryTapDecoratorClassName

          public FlowConnectorProps setTemporaryTapDecoratorClassName(String temporaryTapDecoratorClassName)

      Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.
      Parameters:
        `temporaryTapDecoratorClassName` - of type String
      Returns:
        this instance

    - #### setTemporaryTapDecoratorClassName

          public FlowConnectorProps setTemporaryTapDecoratorClassName(Class<DecoratorTap> temporaryTapDecoratorClass)

      Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.
      Parameters:
        `temporaryTapDecoratorClass` - of type Class
      Returns:
        this instance

    - #### getCheckpointTapDecoratorClassName

          public String getCheckpointTapDecoratorClassName()

    - #### setCheckpointTapDecoratorClassName

          public FlowConnectorProps setCheckpointTapDecoratorClassName(String checkpointTapDecoratorClassName)

      Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.
      Parameters:
        `checkpointTapDecoratorClassName` - of type String
      Returns:
        this instance

    - #### setCheckpointTapDecoratorClassName

          public FlowConnectorProps setCheckpointTapDecoratorClassName(Class<DecoratorTap> checkpointTapDecoratorClass)

      Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.
      Parameters:
        `checkpointTapDecoratorClass` - of type Class
      Returns:
        this instance

    - #### addPropertiesTo

          protected void addPropertiesTo(Properties properties)

      Specified by:
        `addPropertiesTo` in class `Props`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.